#### Beyond Linux® From Scratch (systemd Edition) - Version 11.1

### Chapter 42. Multimedia Libraries and Drivers

- Prev

  libsamplerate-0.2.2

- Next

  libtheora-1.1.1

- Up
- Home

# libsndfile-1.0.31

## Introduction to libsndfile

Libsndfile is a library of C routines for reading and writing files containing sampled audio data.

This package is known to build and work properly using an LFS-11.1 platform.

### Package Information

- Download (HTTP): https://github.com/libsndfile/libsndfile/releases/download/1.0.31/libsndfile-1.0.31.tar.bz2

- Download MD5 sum: 3f3b2a86a032f064ef922a2c8c191f7b

- Download size: 855 KB

- Estimated disk space required: 13 MB (add 9 MB for tests)

- Estimated build time: 0.3 SBU (add 0.6 SBU for tests)

### libsndfile Dependencies

#### Recommended

FLAC-1.3.3, Opus-1.3.1, and libvorbis-1.3.7

#### Optional

alsa-lib-1.2.6.1, Speex-1.2.0, and SQLite-3.37.2

User Notes: https://wiki.linuxfromscratch.org/blfs/wiki/libsndfile

## Installation of libsndfile

Install libsndfile by running the following commands:

    ./configure --prefix=/usr    \
                --disable-static \
                --docdir=/usr/share/doc/libsndfile-1.0.31 &&
    make

To test the results, issue: make check.

Now, as the `root` user:

    make install

## Command Explanations

`--disable-static`: This switch prevents installation of static versions of the libraries.

## Contents

Installed Programs: sndfile-cmp, sndfile-concat, sndfile-convert, sndfile-deinterleave, sndfile-info, sndfile-interleave, sndfile-metadata-get, sndfile-metadata-set, sndfile-play, and sndfile-salvage
Installed Library: libsndfile.so
Installed Directory: /usr/share/doc/libsndfile-1.0.31

### Short Descriptions

sndfile-cmp | compares two audio files
sndfile-concat | concatenates two or more audio files
sndfile-convert | converts a sound files from one format to another
sndfile-deinterleave | splits a multi-channel into multiple single channel files
sndfile-info | displays information about a sound file
sndfile-interleave | converts multiple single channel files into a multi-channel file
sndfile-metadata-get | retrieves metadata from a sound file
sndfile-metadata-set | sets metadata in a sound file
sndfile-play | plays a sound file
sndfile-salvage | Salvages the audio data from WAV files which are more than 4G in length
`libsndfile.so` | contains the libsndfile API functions

Last updated on

- Prev

  libsamplerate-0.2.2

- Next

  libtheora-1.1.1

- Up
- Home